{% extends 'base.html.twig' %}

{% block title %}Réalisations{% endblock %}

{% block body %}
    <section class="page-realisation">
        <div class="container ">
            <h3 data-aos="zoom-in">Réalisations</h3>
            <div class="row">
                {% for peinture in peintures %}
                <div class="col-md-6 " data-aos="fade-up">
                    <div class="card h-100 border-primary-STOP">

                        <a href="{{path('realisations_details', {'slug': peinture.slug}     )}}">
                            <img src="{{ vich_uploader_asset (peinture, 'imageFile') | imagine_filter ('medium') }}"
                                class="card-img-top" alt="...">

                            <div class="card-body ">
                                <article class="pt-4-STOP">

                                    <h1 class="card-title">{{ peinture.nom }}</h1>
                                    <p class="card-text">{{ peinture.description|u.truncate(200, '...', false) }}</p>
                                    <div>
                                        <small class="text-muted"><i class="fas fa-calendar-days"></i> Ajouter le:
                                            {{ peinture.dateAt|date('d/m/y') }}</small>
                                    </div>

                                </article>
                            </div>
                        </a>

                    </div>
                </div>
                {% endfor %}
            </div>

            <div class="d-flex justify-content-center">
                {% do peintures.setPageRange(2) %}
                {{ knp_pagination_render( peintures, 'base/pagination.html.twig' )  }}
            </div>

        </div>
    </section>
{% endblock %}